# useThemeRegister

useThemeRegister is a hook to allow you to get and add/remove themes registered to the current ThemeProvider.

Usage:

```tsx live=true
import { FC } from 'react';
import useThemeRegister from '@ucam/design-system/theme/useThemeRegister';

const Component: FC = () => {
  const [themes, setThemes] = useThemeRegister();

  return (
    <ul>
      {Array.from(themes.keys()).map((themeName) => (
        <li key={themeName}>{themeName}</li>
      ))}
    </ul>
  );
};

render(<Component />);
```
